#ifndef _SHAREMEMORY_H_
#define _SHAREMEMORY_H_

#ifdef __cplusplus
extern          "C" {
#endif

#include "sys/types.h"
#include "sys/ipc.h"
#include "sys/shm.h"

void* create_sharememory(key_t key,size_t size);
void* open_sharememory(key_t key);
int delete_sharememory(key_t key);

#ifdef __cplusplus
}
#endif

#endif

